
#include <Spectre/Input/Mouse.h>
#include <Spectre/Input/Keyboard.h>
#include <Spectre/Input/InputEvent.h>

InputEvent::InputEvent(Type type) : 
type	(type)
{
}

std::string InputEvent::KeyEvent::getKeyName() const
{
	return Keyboard::getKeyName(code);
}

std::string InputEvent::MouseButtonEvent::getName() const
{
	return Mouse::getButtonName(button);
}
